﻿namespace Privileges.Model
{
    public class ArticlePrivilege : Privilege<Article>
    {
        public override bool CanCreate(Article item, User user)
        {
            return user.IsInRole(Roles.Authors);
        }

        public override bool CanEdit(Article item, User user)
        {
            if (user.IsInRole(Roles.Editors))
            {
                return true;
            }
            if (item.Author == user)
            {
                return true;
            }
            return false;
        }
    }
}